# class toResultContent

This widget allows the user to browse the contents of a table and also edit the content. More...

Definition | `#include <toresultcontent.h>`
Inherits | QVBox (qt) [public ], toResult [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultContent (QWidget *parent,const char *name=NULL)
- toResultContentEditor * editor (void)
- virtual void editReadAll (void)
- virtual void editPrint (void)
- virtual void editSave (bool ask)

#### Public Slots

- virtual void clearParams (void)
- virtual void refresh (void)
- virtual void query (const QString &sql,const toQList ¶m)
- virtual void changeParams (const QString &Param1)
- virtual void changeParams (const QString &Param1,const QString &Param2)
- virtual void changeParams (const QString &Param1,const QString &Param2,const QString &Param3)
- virtual void saveUnsaved (void)
- virtual void saveUnsaved (toConnection &conn,bool cmt)
- virtual bool canHandle (toConnection &)

## Detailed Description

This widget allows the user to browse the contents of a table and also edit the content. The table is specified by the first and second parameter in the query. The sql is not used in the query.

toResultContent (QWidget *parent,const char *name=NULL)

### toResultContent

Create the widget.

Parameters:

parent | Parent widget.
name | Name of widget.

toResultContentEditor * editor (void)

### editor

Get content editor table widget

Returns: Pointer to editor.

void editReadAll (void)

### editReadAll

[virtual]

Read all rows from the table.

void editPrint (void)

### editPrint

[virtual]

Print the contents.

void editSave (bool ask)

### editSave

[virtual]

Export contents to file.

void clearParams (void)

### clearParams

[virtual slot]

Erase last parameters

Reimplemented from toResult.

void refresh (void)

### refresh

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void query (const QString &sql,const toQList ¶m)

### query

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1)

### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2)

### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2,const QString &Param3)

### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void saveUnsaved (void)

### saveUnsaved

[virtual slot]

Save unsaved changes in the editor

void saveUnsaved (toConnection &conn,bool cmt)

### saveUnsaved

[virtual slot]

Commit connection

Parameters:

conn | Connection commit is made on.
cmt | If commit or rollback

bool canHandle (toConnection &)

### canHandle

[virtual slot]

Handle Oracle & MySQL

Reimplemented from toResult.